Subject: bug#19874: 25.0.50; encode-time not working as expected

From: Wolfgang Jenkner <[email-masked]>
Date: Fri, 27 Feb 2015 01:16:15 +0100

On Fri, Feb 27 2015, Ashish SHUKLA wrote:

> On Thu, 26 Feb 2015 21:05:52 +0100, Wolfgang Jenkner <[email-masked]> said:
> | On Fri, Feb 27 2015, Ashish SHUKLA wrote:
>
> || | (encode-time 44 42 6 15 2 2015 0 nil 0)
> || | => (21728 16356)
> || 
> || In interactive mode ? In interactive-mode it's broken for me, in batch mode it
> || works fine.
>
> | Yes, it gives the same result as above in both ways for me.
>
> Very strange. FTR, following is output of `uname -a`:
>
> FreeBSD chateau.d.if 10.1-RELEASE-p6 FreeBSD 10.1-RELEASE-p6 #0 r279268: Wed Feb 25 12:37:13 IST 2015     [email-masked]:/wrksrc/usr/src/sys/CHATEAU  amd64

My 10-STABLE version is actually a month or so older than 10.1-RELEASE
(which was announced on 14 Nov 2014):

FreeBSD iznogoud.viz 10.1-RC1 FreeBSD 10.1-RC1 #0 r272822M: Thu Oct  9 19:45:54 CEST 2014     [email-masked]:/usr/obj/usr/src/sys/IZNOGOUD  amd64

Here's the output of `svn info' (I haven't updated since I compiled base
and kernel):

Path: .
Working Copy Root Path: /usr/src
URL: svn://svn0.eu.freebsd.org/base/stable/10
Relative URL: ^/stable/10
Repository Root: svn://svn0.eu.freebsd.org/base
Repository UUID: ccf9f872-aa2e-dd11-9fc8-001c23d0bc1f
Revision: 272822
Node Kind: directory
Schedule: normal
Last Changed Author: mav
Last Changed Rev: 272798
Last Changed Date: 2014-10-09 07:28:11 +0200 (Thu, 09 Oct 2014)

> and /etc/localtime points to the file in /usr/share/zoneinfo, and no TZ
> environment variable is set, in my case.

In my case, /etc/localtime is a copy of the file in /usr/share/zoneinfo.
IIUC, `mergemaster -i' is supposed to automatically run `tzsetup -r' to
update /etc/localtime from /var/db/zoneinfo.  I have no TZ in the environment.

$ ls -li /etc/localtime /usr/share/zoneinfo/Europe/Vienna 
 211986 -r--r--r--  1 root  wheel  2211 Oct  9 20:42 /etc/localtime
7892691 -r--r--r--  1 root  wheel  2211 Oct  9 20:36 /usr/share/zoneinfo/Europe/Vienna
$ cmp /etc/localtime /usr/share/zoneinfo/Europe/Vienna 
$ echo $?
0
$ cat /var/db/zoneinfo 
Europe/Vienna
$ printenv | grep TZ
$ echo $?
1